Bug 14710 - Export checkout list exports all item infos
Summary: Export checkout list exports all item infos
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 11703
Blocks: 14722
  Show dependency treegraph
 
Reported: 2015-08-24 12:19 UTC by Jonathan Druart
Modified: 2016-06-21 21:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14710: Make the export checkout list export only the checked out item infos (2.04 KB, patch)
2015-08-24 12:26 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14710: Make the export checkout list export only the checked out item infos (2.17 KB, patch)
2015-08-24 20:10 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 14710: Make the export checkout list export only the checked out item infos (2.13 KB, patch)
2015-08-25 16:37 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
[PASSED QA] Bug 14710: Make the export checkout list export only the checked out item infos (2.18 KB, patch)
2015-09-14 20:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2015-08-24 12:19:08 UTC
This has been introduced by bug 11703.

Bug 13190 should have been fixed it.

If the pref ExportWithCsvProfile is defined with a MARC CSV profile and it contains item infos to display, only info from the checked in item should be displayed.

On the current master, the infos from all items of the record is exported.
Comment 1 Jonathan Druart 2015-08-24 12:26:03 UTC Comment hidden (obsolete)
Comment 2 Héctor Eduardo Castro Avalos 2015-08-24 20:10:01 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-08-25 07:29:20 UTC
> Sponsored-by: Universidad de El Salvador

Hum, this does not seem to be at the correct place :)
Comment 4 Héctor Eduardo Castro Avalos 2015-08-25 15:09:33 UTC
(In reply to Jonathan Druart from comment #3)
> > Sponsored-by: Universidad de El Salvador
> 
> Hum, this does not seem to be at the correct place :)

Where to place? or I need an institutional email to appear in the credits when released?

Regards
Comment 5 Jonathan Druart 2015-08-25 15:31:38 UTC
(In reply to Héctor Eduardo Castro Avalos from comment #4)
> (In reply to Jonathan Druart from comment #3)
> > > Sponsored-by: Universidad de El Salvador
> > 
> > Hum, this does not seem to be at the correct place :)
> 
> Where to place? or I need an institutional email to appear in the credits
> when released?
> 
> Regards

The 'Sponsored-by' only applies for patches generated by the sponsor, not for signers.

The RM cans add your institution in the release notes, if needed.
Comment 6 Héctor Eduardo Castro Avalos 2015-08-25 16:37:50 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2015-09-14 20:39:18 UTC
Created attachment 42544 [details] [review]
[PASSED QA] Bug 14710: Make the export checkout list export only the checked out item infos

This has been introduced by bug 11703.

Bug 13190 should have been fixed it.

If the pref ExportWithCsvProfile is defined with a MARC CSV profile and
it contains item infos to display, only info from the checked out item
should be displayed.

Test plan:
0/ Don't apply this patch
1/ Create a biblio with 1+ items
2/ Check one of the item out to a patron
3/ Define a CSV profile which contains item fields ("245$a|952$p" for instance)
4/ Export the item (from circ/circulation/pl) using the CSV option
Note that the csv contains the barcode from all items
5/ Apply this patch and repeat 4.
6/ Note that the csv contains only the barcode from the checked out
item.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Tomás Cohen Arazi 2015-09-25 18:43:36 UTC
Patch pushed to master.

Thanks Jonathan!